# eric6.Preferences.ConfigurationDialog

Module implementing a dialog for the configuration of eric6.

### Global Attributes

None

### Classes

ConfigurationDialog | Class for the dialog variant.
ConfigurationPageItem | Class implementing a QTreeWidgetItem holding the configuration page data.
ConfigurationWidget | Class implementing a dialog for the configuration of eric6.
ConfigurationWindow | Main window class for the standalone dialog.

### Functions

None

## ConfigurationDialog

Class for the dialog variant.

### Signals

masterPasswordChanged(str, str)
  emitted after the master password has been changed with the old and the new password
preferencesChanged()
  emitted after settings have been changed

### Derived from

QDialog

### Class Attributes

DefaultMode
HelpBrowserMode
TrayStarterMode

### Class Methods

None

### Methods

ConfigurationDialog | Constructor
__masterPasswordChanged | Private slot to handle the change of the master password.
__preferencesChanged | Private slot to handle a change of the preferences.
accept | Public method to accept the dialog.
getConfigurationPageName | Public method to get the page name of the current page.
setPreferences | Public method called to store the selected values into the preferences storage.
showConfigurationPageByName | Public slot to show a named configuration page.

### Static Methods

None

#### ConfigurationDialog (Constructor)

ConfigurationDialog(parent=None, name=None, modal=False, fromEric=True, displayMode=ConfigurationWidget.DefaultMode)

Constructor

parent
  The parent widget of this dialog. (QWidget)
name
  The name of this dialog. string
modal
  Flag indicating a modal dialog. (boolean)
fromEric=
  flag indicating a dialog generation from within the eric6 ide (boolean)
displayMode=
  mode of the configuration dialog (DefaultMode, HelpBrowserMode, TrayStarterMode)

#### ConfigurationDialog.__masterPasswordChanged

__masterPasswordChanged(oldPassword, newPassword)

Private slot to handle the change of the master password.

oldPassword
  current master password (string)
newPassword
  new master password (string)

#### ConfigurationDialog.__preferencesChanged

__preferencesChanged()

Private slot to handle a change of the preferences.

#### ConfigurationDialog.accept

accept()

Public method to accept the dialog.

#### ConfigurationDialog.getConfigurationPageName

getConfigurationPageName()

Public method to get the page name of the current page.

Returns:
  page name of the current page (string)

#### ConfigurationDialog.setPreferences

setPreferences()

Public method called to store the selected values into the preferences storage.

#### ConfigurationDialog.showConfigurationPageByName

showConfigurationPageByName(pageName)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string)

Up

## ConfigurationPageItem

Class implementing a QTreeWidgetItem holding the configuration page data.

### Derived from

QTreeWidgetItem

### Class Attributes

None

### Class Methods

None

### Methods

ConfigurationPageItem | Constructor
getPageName | Public method to get the name of the associated configuration page.

### Static Methods

None

#### ConfigurationPageItem (Constructor)

ConfigurationPageItem(parent, text, pageName, iconFile)

Constructor

parent
  parent widget of the item (QTreeWidget or QTreeWidgetItem)
text
  text to be displayed (string)
pageName
  name of the configuration page (string)
iconFile
  file name of the icon to be shown (string)

#### ConfigurationPageItem.getPageName

getPageName()

Public method to get the name of the associated configuration page.

Returns:
  name of the configuration page (string)

Up

## ConfigurationWidget

Class implementing a dialog for the configuration of eric6.

### Signals

accepted()
  emitted to indicate acceptance of the changes
masterPasswordChanged(str, str)
  emitted after the master password has been changed with the old and the new password
preferencesChanged()
  emitted after settings have been changed
rejected()
  emitted to indicate rejection of the changes

### Derived from

QWidget

### Class Attributes

DefaultMode
HelpBrowserMode
TrayStarterMode

### Class Methods

None

### Methods

ConfigurationWidget | Constructor
__filterChildItems | Private method to filter child items based on a filter string.
__filterTextChanged | Private slot to handle a change of the filter.
__importConfigurationPage | Private method to import a configuration page module.
__initLexers | Private method to initialize the dictionary of preferences lexers.
__initPage | Private method to initialize a configuration page.
__setupUi | Private method to perform the general setup of the configuration widget.
__showConfigurationPage | Private slot to show a selected configuration page.
accept | Public slot to accept the buttonBox accept signal.
calledFromEric | Public method to check, if invoked from within eric.
getConfigurationPageName | Public method to get the page name of the current page.
getLexers | Public method to get a reference to the lexers dictionary.
getPage | Public method to get a reference to the named page.
on_applyButton_clicked | Private slot called to apply the settings of the current page.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_resetButton_clicked | Private slot called to reset the settings of the current page.
setPreferences | Public method called to store the selected values into the preferences storage.
showConfigurationPageByName | Public slot to show a named configuration page.

### Static Methods

None

#### ConfigurationWidget (Constructor)

ConfigurationWidget(parent=None, fromEric=True, displayMode=DefaultMode)

Constructor

parent
  The parent widget of this dialog. (QWidget)
fromEric=
  flag indicating a dialog generation from within the eric6 ide (boolean)
displayMode=
  mode of the configuration dialog (DefaultMode, HelpBrowserMode, TrayStarterMode)

Raises RuntimeError:
  raised to indicate an invalid dialog mode

#### ConfigurationWidget.__filterChildItems

__filterChildItems(parent, filter)

Private method to filter child items based on a filter string.

parent
  reference to the parent item (QTreeWidgetItem)
filter
  filter string (string)

Returns:
  flag indicating a visible child item (boolean)

#### ConfigurationWidget.__filterTextChanged

__filterTextChanged(filter)

Private slot to handle a change of the filter.

filter
  text of the filter line edit (string)

#### ConfigurationWidget.__importConfigurationPage

__importConfigurationPage(name)

Private method to import a configuration page module.

name
  name of the configuration page module (string)

Returns:
  reference to the configuration page module

#### ConfigurationWidget.__initLexers

__initLexers()

Private method to initialize the dictionary of preferences lexers.

#### ConfigurationWidget.__initPage

__initPage(pageData)

Private method to initialize a configuration page.

pageData
  data structure for the page to initialize

Returns:
  reference to the initialized page

#### ConfigurationWidget.__setupUi

__setupUi()

Private method to perform the general setup of the configuration widget.

#### ConfigurationWidget.__showConfigurationPage

__showConfigurationPage(itm, column)

Private slot to show a selected configuration page.

itm
  reference to the selected item (QTreeWidgetItem)
column
  column that was selected (integer) (ignored)

#### ConfigurationWidget.accept

accept()

Public slot to accept the buttonBox accept signal.

#### ConfigurationWidget.calledFromEric

calledFromEric()

Public method to check, if invoked from within eric.

Returns:
  flag indicating invocation from within eric (boolean)

#### ConfigurationWidget.getConfigurationPageName

getConfigurationPageName()

Public method to get the page name of the current page.

Returns:
  page name of the current page (string)

#### ConfigurationWidget.getLexers

getLexers()

Public method to get a reference to the lexers dictionary.

Returns:
  reference to the lexers dictionary

#### ConfigurationWidget.getPage

getPage(pageName)

Public method to get a reference to the named page.

pageName
  name of the configuration page (string)

Returns:
  reference to the page or None, indicating page was not loaded yet

#### ConfigurationWidget.on_applyButton_clicked

on_applyButton_clicked()

Private slot called to apply the settings of the current page.

#### ConfigurationWidget.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### ConfigurationWidget.on_resetButton_clicked

on_resetButton_clicked()

Private slot called to reset the settings of the current page.

#### ConfigurationWidget.setPreferences

setPreferences()

Public method called to store the selected values into the preferences storage.

#### ConfigurationWidget.showConfigurationPageByName

showConfigurationPageByName(pageName, setCurrent=True)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string)
setCurrent
  flag indicating to set the current item (boolean)

Up

## ConfigurationWindow

Main window class for the standalone dialog.

### Derived from

E5MainWindow

### Class Attributes

None

### Class Methods

None

### Methods

ConfigurationWindow | Constructor
accept | Public slot called by the Ok button.
showConfigurationPageByName | Public slot to show a named configuration page.

### Static Methods

None

#### ConfigurationWindow (Constructor)

ConfigurationWindow(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### ConfigurationWindow.accept

accept()

Public slot called by the Ok button.

#### ConfigurationWindow.showConfigurationPageByName

showConfigurationPageByName(pageName)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string)

Up